Index: linux-kj/arch/ppc/4xx_io/serial_sicc.c
===================================================================
--- linux-kj.orig/arch/ppc/4xx_io/serial_sicc.c	2005-09-21 01:19:04.000000000 +0400
+++ linux-kj/arch/ppc/4xx_io/serial_sicc.c	2005-09-21 01:21:51.000000000 +0400
@@ -326,379 +321,370 @@ static void sicc_set_mctrl_null(struct S
 }
 
 static struct SICC_port sicc_ports[SERIAL_SICC_NR] = {
-    {
-        .uart_base = 0,
-        .uart_base_phys = SICC0_IO_BASE,
-        .irqrx =    SICC0_INTRX,
-        .irqtx =    SICC0_INTTX,
+	{
+	 .uart_base = 0,
+	 .uart_base_phys = SICC0_IO_BASE,
+	 .irqrx = SICC0_INTRX,
+	 .irqtx = SICC0_INTTX,
 //      .uartclk =    0,
-        .fifosize = 1,
-        .set_mctrl = sicc_set_mctrl_null,
-    }
+	 .fifosize = 1,
+	 .set_mctrl = sicc_set_mctrl_null,
+	 }
 };
 
 static struct SICC_state sicc_state[SERIAL_SICC_NR];
 
 static void siccuart_enable_rx_interrupt(struct SICC_info *info)
 {
-    unsigned char cr;
+	unsigned char cr;
 
-    cr = readb(info->port->uart_base+BL_SICC_RCR);
-    cr &= ~_RCR_DME_MASK;
-    cr |= _RCR_DME_RXRDY;
-    writeb(cr, info->port->uart_base+BL_SICC_RCR);
+	cr = readb(info->port->uart_base + BL_SICC_RCR);
+	cr &= ~_RCR_DME_MASK;
+	cr |= _RCR_DME_RXRDY;
+	writeb(cr, info->port->uart_base + BL_SICC_RCR);
 }
 
 static void siccuart_disable_rx_interrupt(struct SICC_info *info)
 {
-    unsigned char cr;
+	unsigned char cr;
 
-    cr = readb(info->port->uart_base+BL_SICC_RCR);
-    cr &= ~_RCR_DME_MASK;
-    cr |=  _RCR_DME_DISABLE;
-    writeb(cr, info->port->uart_base+BL_SICC_RCR);
+	cr = readb(info->port->uart_base + BL_SICC_RCR);
+	cr &= ~_RCR_DME_MASK;
+	cr |= _RCR_DME_DISABLE;
+	writeb(cr, info->port->uart_base + BL_SICC_RCR);
 }
 
-
 static void siccuart_enable_tx_interrupt(struct SICC_info *info)
 {
-    unsigned char cr;
+	unsigned char cr;
 
-    cr = readb(info->port->uart_base+BL_SICC_TxCR);
-    cr &= ~_TxCR_DME_MASK;
-    cr |= _TxCR_DME_TBR;
-    writeb(cr, info->port->uart_base+BL_SICC_TxCR);
+	cr = readb(info->port->uart_base + BL_SICC_TxCR);
+	cr &= ~_TxCR_DME_MASK;
+	cr |= _TxCR_DME_TBR;
+	writeb(cr, info->port->uart_base + BL_SICC_TxCR);
 }
 
 static void siccuart_disable_tx_interrupt(struct SICC_info *info)
 {
-    unsigned char cr;
+	unsigned char cr;
 
-    cr = readb(info->port->uart_base+BL_SICC_TxCR);
-    cr &= ~_TxCR_DME_MASK;
-    cr |=  _TxCR_DME_DISABLE;
-    writeb(cr, info->port->uart_base+BL_SICC_TxCR);
+	cr = readb(info->port->uart_base + BL_SICC_TxCR);
+	cr &= ~_TxCR_DME_MASK;
+	cr |= _TxCR_DME_DISABLE;
+	writeb(cr, info->port->uart_base + BL_SICC_TxCR);
 }
 
-
 static void siccuart_stop(struct tty_struct *tty)
 {
-    struct SICC_info *info = tty->driver_data;
-    unsigned long flags;
+	struct SICC_info *info = tty->driver_data;
+	unsigned long flags;
 
-    /* disable interrupts while stopping serial port interrupts */
-    spin_lock_irqsave(&info->state->sicc_lock,flags);
-    siccuart_disable_tx_interrupt(info);
-    spin_unlock_irqrestore(&info->state->sicc_lock,flags);
+	/* disable interrupts while stopping serial port interrupts */
+	spin_lock_irqsave(&info->state->sicc_lock, flags);
+	siccuart_disable_tx_interrupt(info);
+	spin_unlock_irqrestore(&info->state->sicc_lock, flags);
 }
 
 static void siccuart_start(struct tty_struct *tty)
 {
-    struct SICC_info *info = tty->driver_data;
-    unsigned long flags;
+	struct SICC_info *info = tty->driver_data;
+	unsigned long flags;
 
-    /* disable interrupts while starting serial port interrupts */
-    spin_lock_irqsave(&info->state->sicc_lock,flags);
-    if (info->xmit.head != info->xmit.tail
-        && info->xmit.buf)
-        siccuart_enable_tx_interrupt(info);
-    spin_unlock_irqrestore(&info->state->sicc_lock,flags);
+	/* disable interrupts while starting serial port interrupts */
+	spin_lock_irqsave(&info->state->sicc_lock, flags);
+	if (info->xmit.head != info->xmit.tail && info->xmit.buf)
+		siccuart_enable_tx_interrupt(info);
+	spin_unlock_irqrestore(&info->state->sicc_lock, flags);
 }
 
-
 /*
  * This routine is used by the interrupt handler to schedule
  * processing in the software interrupt portion of the driver.
  */
 static void siccuart_event(struct SICC_info *info, int event)
 {
-    info->event |= 1 << event;
-    tasklet_schedule(&info->tlet);
+	info->event |= 1 << event;
+	tasklet_schedule(&info->tlet);
 }
 
-static void
-siccuart_rx_chars(struct SICC_info *info, struct pt_regs *regs)
+static void siccuart_rx_chars(struct SICC_info *info, struct pt_regs *regs)
 {
-    struct tty_struct *tty = info->tty;
-    unsigned int status, ch, rsr, flg, ignored = 0;
-    struct SICC_icount *icount = &info->state->icount;
-    struct SICC_port *port = info->port;
-
-    status = readb(port->uart_base+BL_SICC_LSR );
-    while (status & _LSR_RBR_FULL) {
-        ch = readb(port->uart_base+BL_SICC_RBR);
-
-        if (tty->flip.count >= TTY_FLIPBUF_SIZE)
-            goto ignore_char;
-        icount->rx++;
-
-        flg = TTY_NORMAL;
-
-        /*
-         * Note that the error handling code is
-         * out of the main execution path
-         */
-        rsr = readb(port->uart_base+BL_SICC_LSR);
-        if (rsr & _LSR_RX_ERR)
-            goto handle_error;
+	struct tty_struct *tty = info->tty;
+	unsigned int status, ch, rsr, flg, ignored = 0;
+	struct SICC_icount *icount = &info->state->icount;
+	struct SICC_port *port = info->port;
+
+	status = readb(port->uart_base + BL_SICC_LSR);
+	while (status & _LSR_RBR_FULL) {
+		ch = readb(port->uart_base + BL_SICC_RBR);
+
+		if (tty->flip.count >= TTY_FLIPBUF_SIZE)
+			goto ignore_char;
+		icount->rx++;
+
+		flg = TTY_NORMAL;
+
+		/*
+		 * Note that the error handling code is
+		 * out of the main execution path
+		 */
+		rsr = readb(port->uart_base + BL_SICC_LSR);
+		if (rsr & _LSR_RX_ERR)
+			goto handle_error;
 #ifdef SUPPORT_SYSRQ
-        if (info->sysrq) {
-            if (ch && time_before(jiffies, info->sysrq)) {
-                handle_sysrq(ch, regs, NULL);
-                info->sysrq = 0;
-                goto ignore_char;
-            }
-            info->sysrq = 0;
-        }
+		if (info->sysrq) {
+			if (ch && time_before(jiffies, info->sysrq)) {
+				handle_sysrq(ch, regs, NULL);
+				info->sysrq = 0;
+				goto ignore_char;
+			}
+			info->sysrq = 0;
+		}
 #endif
-    error_return:
-        *tty->flip.flag_buf_ptr++ = flg;
-        *tty->flip.char_buf_ptr++ = ch;
-        tty->flip.count++;
-    ignore_char:
-        status = readb(port->uart_base+BL_SICC_LSR );
-    }
-out:
-    tty_flip_buffer_push(tty);
-    return;
-
-handle_error:
-    if (rsr & _LSR_LB_BREAK) {
-        rsr &= ~(_LSR_FE_MASK | _LSR_PE_MASK);
-        icount->brk++;
+	      error_return:
+		*tty->flip.flag_buf_ptr++ = flg;
+		*tty->flip.char_buf_ptr++ = ch;
+		tty->flip.count++;
+	      ignore_char:
+		status = readb(port->uart_base + BL_SICC_LSR);
+	}
+      out:
+	tty_flip_buffer_push(tty);
+	return;
+
+      handle_error:
+	if (rsr & _LSR_LB_BREAK) {
+		rsr &= ~(_LSR_FE_MASK | _LSR_PE_MASK);
+		icount->brk++;
 
 #ifdef SUPPORT_SYSRQ
-        if (info->state->line == siccuart_cons.index) {
-            if (!info->sysrq) {
-                info->sysrq = jiffies + HZ*5;
-                goto ignore_char;
-            }
-        }
+		if (info->state->line == siccuart_cons.index) {
+			if (!info->sysrq) {
+				info->sysrq = jiffies + HZ * 5;
+				goto ignore_char;
+			}
+		}
 #endif
-    } else if (rsr & _LSR_PE_MASK)
-        icount->parity++;
-    else if (rsr & _LSR_FE_MASK)
-        icount->frame++;
-    if (rsr & _LSR_OE_MASK)
-        icount->overrun++;
-
-    if (rsr & info->ignore_status_mask) {
-        if (++ignored > 100)
-            goto out;
-        goto ignore_char;
-    }
-    rsr &= info->read_status_mask;
-
-    if (rsr & _LSR_LB_BREAK)
-        flg = TTY_BREAK;
-    else if (rsr &  _LSR_PE_MASK)
-        flg = TTY_PARITY;
-    else if (rsr &  _LSR_FE_MASK)
-        flg = TTY_FRAME;
-
-    if (rsr &  _LSR_OE_MASK) {
-        /*
-         * CHECK: does overrun affect the current character?
-         * ASSUMPTION: it does not.
-         */
-        *tty->flip.flag_buf_ptr++ = flg;
-        *tty->flip.char_buf_ptr++ = ch;
-        tty->flip.count++;
-        if (tty->flip.count >= TTY_FLIPBUF_SIZE)
-            goto ignore_char;
-        ch = 0;
-        flg = TTY_OVERRUN;
-    }
+	} else if (rsr & _LSR_PE_MASK)
+		icount->parity++;
+	else if (rsr & _LSR_FE_MASK)
+		icount->frame++;
+	if (rsr & _LSR_OE_MASK)
+		icount->overrun++;
+
+	if (rsr & info->ignore_status_mask) {
+		if (++ignored > 100)
+			goto out;
+		goto ignore_char;
+	}
+	rsr &= info->read_status_mask;
+
+	if (rsr & _LSR_LB_BREAK)
+		flg = TTY_BREAK;
+	else if (rsr & _LSR_PE_MASK)
+		flg = TTY_PARITY;
+	else if (rsr & _LSR_FE_MASK)
+		flg = TTY_FRAME;
+
+	if (rsr & _LSR_OE_MASK) {
+		/*
+		 * CHECK: does overrun affect the current character?
+		 * ASSUMPTION: it does not.
+		 */
+		*tty->flip.flag_buf_ptr++ = flg;
+		*tty->flip.char_buf_ptr++ = ch;
+		tty->flip.count++;
+		if (tty->flip.count >= TTY_FLIPBUF_SIZE)
+			goto ignore_char;
+		ch = 0;
+		flg = TTY_OVERRUN;
+	}
 #ifdef SUPPORT_SYSRQ
-    info->sysrq = 0;
+	info->sysrq = 0;
 #endif
-    goto error_return;
+	goto error_return;
 }
 
 static void siccuart_tx_chars(struct SICC_info *info)
 {
-    struct SICC_port *port = info->port;
-    int count;
-        unsigned char status;
-
-
-    if (info->x_char) {
-        writeb(info->x_char, port->uart_base+ BL_SICC_TBR);
-        info->state->icount.tx++;
-        info->x_char = 0;
-        return;
-    }
-    if (info->xmit.head == info->xmit.tail
-        || info->tty->stopped
-        || info->tty->hw_stopped) {
-        siccuart_disable_tx_interrupt(info);
-                writeb(status&(~_LSR_RBR_MASK),port->uart_base+BL_SICC_LSR);
-        return;
-    }
-
-    count = port->fifosize;
-    do {
-        writeb(info->xmit.buf[info->xmit.tail], port->uart_base+ BL_SICC_TBR);
-        info->xmit.tail = (info->xmit.tail + 1) & (SICC_XMIT_SIZE - 1);
-        info->state->icount.tx++;
-        if (info->xmit.head == info->xmit.tail)
-            break;
-    } while (--count > 0);
-
-    if (CIRC_CNT(info->xmit.head,
-             info->xmit.tail,
-             SICC_XMIT_SIZE) < WAKEUP_CHARS)
-        siccuart_event(info, EVT_WRITE_WAKEUP);
-
-    if (info->xmit.head == info->xmit.tail) {
-        siccuart_disable_tx_interrupt(info);
-    }
+	struct SICC_port *port = info->port;
+	int count;
+	unsigned char status;
+
+	if (info->x_char) {
+		writeb(info->x_char, port->uart_base + BL_SICC_TBR);
+		info->state->icount.tx++;
+		info->x_char = 0;
+		return;
+	}
+	if (info->xmit.head == info->xmit.tail
+	    || info->tty->stopped || info->tty->hw_stopped) {
+		siccuart_disable_tx_interrupt(info);
+		writeb(status & (~_LSR_RBR_MASK),
+		       port->uart_base + BL_SICC_LSR);
+		return;
+	}
+
+	count = port->fifosize;
+	do {
+		writeb(info->xmit.buf[info->xmit.tail],
+		       port->uart_base + BL_SICC_TBR);
+		info->xmit.tail = (info->xmit.tail + 1) & (SICC_XMIT_SIZE - 1);
+		info->state->icount.tx++;
+		if (info->xmit.head == info->xmit.tail)
+			break;
+	} while (--count > 0);
+
+	if (CIRC_CNT(info->xmit.head,
+		     info->xmit.tail, SICC_XMIT_SIZE) < WAKEUP_CHARS)
+		siccuart_event(info, EVT_WRITE_WAKEUP);
+
+	if (info->xmit.head == info->xmit.tail) {
+		siccuart_disable_tx_interrupt(info);
+	}
 }
 
-
 static irqreturn_t siccuart_int_rx(int irq, void *dev_id, struct pt_regs *regs)
 {
-    struct SICC_info *info = dev_id;
-    siccuart_rx_chars(info, regs);
-    return IRQ_HANDLED;
+	struct SICC_info *info = dev_id;
+	siccuart_rx_chars(info, regs);
+	return IRQ_HANDLED;
 }
 
-
 static irqreturn_t siccuart_int_tx(int irq, void *dev_id, struct pt_regs *regs)
 {
-    struct SICC_info *info = dev_id;
-    siccuart_tx_chars(info);
-    return IRQ_HANDLED;
+	struct SICC_info *info = dev_id;
+	siccuart_tx_chars(info);
+	return IRQ_HANDLED;
 }
 
 static void siccuart_tasklet_action(unsigned long data)
 {
-    struct SICC_info *info = (struct SICC_info *)data;
-    struct tty_struct *tty;
+	struct SICC_info *info = (struct SICC_info *)data;
+	struct tty_struct *tty;
 
-    tty = info->tty;
-    if (!tty || !test_and_clear_bit(EVT_WRITE_WAKEUP, &info->event))
-        return;
-
-    if ((tty->flags & (1 << TTY_DO_WRITE_WAKEUP)) &&
-        tty->ldisc.write_wakeup)
-        (tty->ldisc.write_wakeup)(tty);
-    wake_up_interruptible(&tty->write_wait);
+	tty = info->tty;
+	if (!tty || !test_and_clear_bit(EVT_WRITE_WAKEUP, &info->event))
+		return;
+
+	if ((tty->flags & (1 << TTY_DO_WRITE_WAKEUP)) &&
+	    tty->ldisc.write_wakeup)
+		(tty->ldisc.write_wakeup) (tty);
+	wake_up_interruptible(&tty->write_wait);
 }
 
 static int siccuart_startup(struct SICC_info *info)
 {
-    unsigned long flags;
-    unsigned long page;
-    int retval = 0;
-
-    if (info->flags & ASYNC_INITIALIZED) {
-        return 0;
-    }
-
-    page = get_zeroed_page(GFP_KERNEL);
-    if (!page)
-        return -ENOMEM;
-
-    if (info->port->uart_base == 0)
-	info->port->uart_base = (int)ioremap(info->port->uart_base_phys, PAGE_SIZE);
-    if (info->port->uart_base == 0) {
-	free_page(page);
-	return -ENOMEM;
-    }
-
-    /* lock access to info while doing setup */
-    spin_lock_irqsave(&info->state->sicc_lock,flags);
-
-    if (info->xmit.buf)
-        free_page(page);
-    else
-        info->xmit.buf = (unsigned char *) page;
-
-
-    info->mctrl = 0;
-    if (info->tty->termios->c_cflag & CBAUD)
-        info->mctrl = TIOCM_RTS | TIOCM_DTR;
-    info->port->set_mctrl(info->port, info->mctrl);
-
-    /*
-     * initialise the old status of the modem signals
-     */
-    info->old_status = 0; // UART_GET_FR(info->port) & AMBA_UARTFR_MODEM_ANY;
-
-
-    if (info->tty)
-        clear_bit(TTY_IO_ERROR, &info->tty->flags);
-    info->xmit.head = info->xmit.tail = 0;
-
-    /*
-     * Set up the tty->alt_speed kludge
-     */
-    if (info->tty) {
-        if ((info->flags & ASYNC_SPD_MASK) == ASYNC_SPD_HI)
-            info->tty->alt_speed = 57600;
-        if ((info->flags & ASYNC_SPD_MASK) == ASYNC_SPD_VHI)
-            info->tty->alt_speed = 115200;
-        if ((info->flags & ASYNC_SPD_MASK) == ASYNC_SPD_SHI)
-            info->tty->alt_speed = 230400;
-        if ((info->flags & ASYNC_SPD_MASK) == ASYNC_SPD_WARP)
-            info->tty->alt_speed = 460800;
-    }
-
-
-    writeb( 0x00, info->port->uart_base + BL_SICC_IrCR );  // disable IrDA
-
-
-    /*
-     * and set the speed of the serial port
-     */
-    siccuart_change_speed(info, 0);
-
-    // enable rx/tx ports
-    writeb(_RCR_ER_ENABLE /*| _RCR_PME_HARD*/, info->port->uart_base + BL_SICC_RCR);
-    writeb(_TxCR_ET_ENABLE               , info->port->uart_base + BL_SICC_TxCR);
-
-    readb(info->port->uart_base + BL_SICC_RBR); // clear rx port
-
-    writeb(0xf8, info->port->uart_base + BL_SICC_LSR);   /* reset bits 0-4 of LSR */
-
-    /*
-     * Finally, enable interrupts
-     */
-
-     /*
-     * Allocate the IRQ
-     */
-        retval = request_irq(info->port->irqrx, siccuart_int_rx, 0, "SICC rx", info);
-        if (retval) {
-             if (capable(CAP_SYS_ADMIN)) {
-                   if (info->tty)
-                          set_bit(TTY_IO_ERROR, &info->tty->flags);
-                   retval = 0;
-             }
-              goto errout;
-         }
-    retval = request_irq(info->port->irqtx, siccuart_int_tx, 0, "SICC tx", info);
-    if (retval) {
-        if (capable(CAP_SYS_ADMIN)) {
-            if (info->tty)
-                set_bit(TTY_IO_ERROR, &info->tty->flags);
-            retval = 0;
-        }
-        free_irq(info->port->irqrx, info);
-        goto errout;
-    }
-
-    siccuart_enable_rx_interrupt(info);
-
-    info->flags |= ASYNC_INITIALIZED;
-    spin_unlock_irqrestore(&info->state->sicc_lock,flags);
-    return 0;
-
-
-errout:
-    spin_unlock_irqrestore(&info->state->sicc_lock,flags);
-    return retval;
+	unsigned long flags;
+	unsigned long page;
+	int retval = 0;
+
+	if (info->flags & ASYNC_INITIALIZED) {
+		return 0;
+	}
+
+	page = get_zeroed_page(GFP_KERNEL);
+	if (!page)
+		return -ENOMEM;
+
+	if (info->port->uart_base == 0)
+		info->port->uart_base =
+		    (int)ioremap(info->port->uart_base_phys, PAGE_SIZE);
+	if (info->port->uart_base == 0) {
+		free_page(page);
+		return -ENOMEM;
+	}
+
+	/* lock access to info while doing setup */
+	spin_lock_irqsave(&info->state->sicc_lock, flags);
+
+	if (info->xmit.buf)
+		free_page(page);
+	else
+		info->xmit.buf = (unsigned char *)page;
+
+	info->mctrl = 0;
+	if (info->tty->termios->c_cflag & CBAUD)
+		info->mctrl = TIOCM_RTS | TIOCM_DTR;
+	info->port->set_mctrl(info->port, info->mctrl);
+
+	/*
+	 * initialise the old status of the modem signals
+	 */
+	info->old_status = 0;	// UART_GET_FR(info->port) & AMBA_UARTFR_MODEM_ANY;
+
+	if (info->tty)
+		clear_bit(TTY_IO_ERROR, &info->tty->flags);
+	info->xmit.head = info->xmit.tail = 0;
+
+	/*
+	 * Set up the tty->alt_speed kludge
+	 */
+	if (info->tty) {
+		if ((info->flags & ASYNC_SPD_MASK) == ASYNC_SPD_HI)
+			info->tty->alt_speed = 57600;
+		if ((info->flags & ASYNC_SPD_MASK) == ASYNC_SPD_VHI)
+			info->tty->alt_speed = 115200;
+		if ((info->flags & ASYNC_SPD_MASK) == ASYNC_SPD_SHI)
+			info->tty->alt_speed = 230400;
+		if ((info->flags & ASYNC_SPD_MASK) == ASYNC_SPD_WARP)
+			info->tty->alt_speed = 460800;
+	}
+
+	writeb(0x00, info->port->uart_base + BL_SICC_IrCR);	// disable IrDA
+
+	/*
+	 * and set the speed of the serial port
+	 */
+	siccuart_change_speed(info, 0);
+
+	// enable rx/tx ports
+	writeb(_RCR_ER_ENABLE /*| _RCR_PME_HARD */ ,
+	       info->port->uart_base + BL_SICC_RCR);
+	writeb(_TxCR_ET_ENABLE, info->port->uart_base + BL_SICC_TxCR);
+
+	readb(info->port->uart_base + BL_SICC_RBR);	// clear rx port
+
+	writeb(0xf8, info->port->uart_base + BL_SICC_LSR);	/* reset bits 0-4 of LSR */
+
+	/*
+	 * Finally, enable interrupts
+	 */
+
+	/*
+	 * Allocate the IRQ
+	 */
+	retval =
+	    request_irq(info->port->irqrx, siccuart_int_rx, 0, "SICC rx", info);
+	if (retval) {
+		if (capable(CAP_SYS_ADMIN)) {
+			if (info->tty)
+				set_bit(TTY_IO_ERROR, &info->tty->flags);
+			retval = 0;
+		}
+		goto errout;
+	}
+	retval =
+	    request_irq(info->port->irqtx, siccuart_int_tx, 0, "SICC tx", info);
+	if (retval) {
+		if (capable(CAP_SYS_ADMIN)) {
+			if (info->tty)
+				set_bit(TTY_IO_ERROR, &info->tty->flags);
+			retval = 0;
+		}
+		free_irq(info->port->irqrx, info);
+		goto errout;
+	}
+
+	siccuart_enable_rx_interrupt(info);
+
+	info->flags |= ASYNC_INITIALIZED;
+	spin_unlock_irqrestore(&info->state->sicc_lock, flags);
+	return 0;
+
+      errout:
+	spin_unlock_irqrestore(&info->state->sicc_lock, flags);
+	return retval;
 }
 
 /*
